"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordId = exports.RecordIdValue = void 0;
const zod_1 = require("zod");
exports.RecordIdValue = zod_1.z.union([
    zod_1.z.string(),
    zod_1.z.number(),
    zod_1.z.record(zod_1.z.unknown()),
    zod_1.z.array(zod_1.z.unknown()),
]);
class RecordId {
    constructor(tb, id) {
        Object.defineProperty(this, "tb", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "id", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.tb = zod_1.z.string().parse(tb);
        this.id = exports.RecordIdValue.parse(id);
    }
    toJSON() {
        return {
            tb: this.tb,
            id: this.id,
        };
    }
}
exports.RecordId = RecordId;
//# sourceMappingURL=recordid.js.map