import { Decimal } from "decimal.js";
export declare class Geometry {
}
export declare class GeometryPoint extends Geometry {
    readonly point: [Decimal, Decimal];
    constructor(point: [number | Decimal, number | Decimal] | GeometryPoint);
}
export declare class GeometryLine extends Geometry {
    readonly line: [GeometryPoint, GeometryPoint];
    constructor(line: [GeometryPoint, GeometryPoint] | GeometryLine);
}
export declare class GeometryPolygon extends Geometry {
    readonly polygon: [GeometryLine, GeometryLine, ...GeometryLine[]];
    constructor(polygon: [GeometryLine, GeometryLine, ...GeometryLine[]] | GeometryPolygon);
}
export declare class GeometryMultiPoint extends Geometry {
    readonly points: [GeometryPoint, ...GeometryPoint[]];
    constructor(points: [GeometryPoint, ...GeometryPoint[]]);
}
export declare class GeometryMultiLine extends Geometry {
    readonly lines: [GeometryLine, ...GeometryLine[]];
    constructor(lines: [GeometryLine, ...GeometryLine[]]);
}
export declare class GeometryMultiPolygon extends Geometry {
    readonly polygons: [GeometryPolygon, ...GeometryPolygon[]];
    constructor(polygons: [GeometryPolygon, ...GeometryPolygon[]]);
}
export declare class GeometryCollection extends Geometry {
    readonly collection: [Geometry, ...Geometry[]];
    constructor(collection: [Geometry, ...Geometry[]]);
}
